<id>
Search for IP Address
</id>

<version>
1.1
</version>

<mod info>
This updated mod allows a Gmod, or Admin to search the entire forum for posts that were posted or edited by a certain IP address.  In this update, you may also search posts from a range of IPs.

Installation
---------------------------
- Mod your the files (Search.pl & ModList.pl) and upload in ASCII.
- Upload the language file in ASCII


History
-----------

ver 1.0 - Original Update
ver 1.0a - Update to Y2 Final Release
ver 1.1 - Fixed error that allowed no admin or gmods to view IP addresses.  Thanks Jet Li.


Note:  This is an update of a version originally released (to my knowledge) for YaBB 1.3 by KevinST. (I considered the original mod abandoned since there was no support thread found on Boardmod.org AND since KevinST last posted to that forum in 2003).
</mod info>

<author>
astro-pilot
</author>

<homepage>

</homepage>

<edit file>
Sources/Search.pl
</edit file>

<search for>
          <input type="checkbox" name="msgfield" id="msgfield" value="on" checked="checked" /><label for="msgfield"> $search_txt{'72'}</label>
</search for>

<replace>
          <input type="checkbox" name="msgfield" id="msgfield" value="on" checked="checked" /><label for="msgfield"> $search_txt{'72'}</label>~; ## Search for IP edit
          ## Search for IP part
          if ($iamadmin || $iamgmod){
          	LoadLanguage("Search_IP");
          	$yymain .= qq~<input type="checkbox" name="search_ip" value="on" id="search_ip" /><label for="search_ip"> $search_ip_txt{'1'}</label>~;
          }
          ## Search for IP end
          ## Search for IP added next line
          $yymain .= qq~
</replace>

<search for>
	my $searchmessage = $FORM{'msgfield'} eq 'on';
</search for>

<add after>
	## Search for IP Address part
	if ($FORM{'search_ip'} eq "on"){$search_ip = $FORM{'search'};}
	## Search for IP Address end
</add after>

<search for>
				unless ($msgfound || $subfound) { next postcheck; }
</search for>

<replace>
				## Search for IP Address part
				if( $search_ip && !$msgfound && !$subfound ) {
					$ipfound = 0;
					if ($mip =~ /\b$search_ip/) {$ipfound = "1";}
				}
				## Search for IP Address end
				unless( $msgfound || $subfound || ($ipfound == 1)) { next postcheck; } ## Search for IP Address Edit
</replace>

<search for>
		if ($enable_notification) {
</search for>

<add before>
		## Search for IP Address part
		# Highlight search strings in IP
		foreach $tmp ( @search ) {
			if( $searchtype == 4 ) {$mip =~ s~(\Q$tmp\E)~<span class="highlight"><b>$1</b></span>~ig;}
			else {$mip =~ s~(^|\W|_)(\Q$tmp\E)(?=$|\W|_)~$1<span class="highlight"><b>$2</b></span>$3~ig;}
		}
		## Search IP Address end
</add before>

<search for>
    <td align="left" height="80" colspan="2" class="windowbg2" valign="top">$message</td>
</search for>

<replace>
    <td align="left" height="80" colspan="2" class="windowbg2" valign="top">$message~; ## Search for IP Address edit
    ## Search for IP Address part
    if ($iamadmin || $iamgmod) {$yymain .= qq~ <table width="100%"><tr><td colspan="2" class="windowbg2" align="right" valign="bottom"><br><hr class="hr" /><font size="1"><img src="$imagesdir/ip.gif" alt="" border="0">$mip</font></td></tr></table></td>~};
    ## Search IP Address end
    ## Search for IP Address added next line
    $yymain .= qq~
</replace>

<edit file>
Admin/ModList.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
	$search_for_ip_mod = "Search for IP Address 1.1_YaBB2|astro-pilot|This updated mod allows a Gmod, or Admin to search the entire forum for posts that were posted or edited by a certain IP address.  In this update, you may also search posts from a range of IPs.|1.1|4/15/06";
	push (@installed_mods, "$search_for_ip_mod");
</add before>